;************************************ Mensaje_02.asm ************************************
;
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
;
; En la pantalla del mdulo LCD se visualiza un mensaje de menos de 16 caracteres grabado
; en la memoria ROM mediante la directiva DT. Utiliza la subrutina LCD_Mensaje de la
; librera LCD_MENS.INC
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_ON & _HS_OSC
	LIST	   P=16F877A
	INCLUDE <P16F877A.INC>

	CBLOCK  0x20
	ENDC

; ZONA DE CDIGOS ********************************************************************

	ORG	0
Inicio
	call	LCD_Inicializa
	movlw	Mensaje0			; Apunta dnde se encuentra el mensaje.
	call	LCD_Mensaje		; Visualiza el mensaje.
	sleep				; Pasa a modo bajo consumo.

; Mensajes ------------------------------------------------------------------------------
;
Mensajes
	addwf	PCL,F
Mensaje0
	DT "Hola!!, que tal?   ", 0x00	




	INCLUDE  <LCD_EASY.INC>
	INCLUDE  <LCD_MENS.INC>
	INCLUDE  <RETARDOS.INC>
	END
	
;	===================================================================
;	  Del libro "MICROCONTROLADOR PIC16F84. DESARROLLO DE PROYECTOS"
;	  E. Palacios, F. Remiro y L. Lpez.
; 	  Editorial Ra-Ma.  www.ra-ma.es
;	===================================================================
